package com.kingdee.eas.custom.compensation.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DepositTaskFacadeFactory
{
    private DepositTaskFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.task.IDepositTaskFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.task.IDepositTaskFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("7071D490") ,com.kingdee.eas.custom.compensation.task.IDepositTaskFacade.class);
    }
    
    public static com.kingdee.eas.custom.compensation.task.IDepositTaskFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.task.IDepositTaskFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("7071D490") ,com.kingdee.eas.custom.compensation.task.IDepositTaskFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.task.IDepositTaskFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.task.IDepositTaskFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("7071D490"));
    }
    public static com.kingdee.eas.custom.compensation.task.IDepositTaskFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.task.IDepositTaskFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("7071D490"));
    }
}